Last Comment Bug 593655 - [SeaMonkey] mochitest-5: numerous failures in test_contextmenu.html media related.
: [SeaMonkey] mochitest-5: numerous failures in test_contextmenu.html media rel...
Status: VERIFIED FIXED
[sm-perma][cc-orange]
: intermittent-failure
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Ian Neal
:
Mentors:
Depends on: 485288
Blocks: SmTestFail
  Show dependency treegraph
 
Reported: 2010-09-04 21:45 PDT by Justin Wood (:Callek) (Away until Aug 29)
Modified: 2012-11-26 02:54 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Justin Wood (:Callek) (Away until Aug 29) 2010-09-04 21:45:52 PDT
Within the past few days we have begun failing more tests in mochitest-5.

The range is:

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=03f80b4e0318&tochange=7aaf30721c48

With no intermingled c-c patches. I suspect Chris's push, but nothing sticks out at me. KaiRo said if I filed he would look at it.
Comment 1 PTO until Sep 5 NZ time; Chris Pearce (:cpearce) 2010-09-04 22:18:37 PDT
You'll need to land "Patch 3 - context menu fix for SM and TB" in bug 485288 to fix this.
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2010-09-04 22:21:31 PDT
O hai, I didn't realize IanN patched this already. Thanks chris.
Comment 3 Serge Gautherie (:sgautherie) 2010-09-05 00:36:57 PDT
Ah, I just noticed this one too when verifying another bug (log) ... and Ihad started to fill a new bug with the same regression timeframe ;->
Comment 4 Robert Kaiser 2010-09-05 05:13:29 PDT
Heh, and I just started investigating and realized it was http://hg.mozilla.org/mozilla-central/rev/a90de3ff36cd that changed context menu on the FF side.
Hrm, how I like patches on fixed bugs...

Well, let's wait on that one, then.
Comment 5 Ian Neal 2010-09-05 10:53:54 PDT
(In reply to comment #4)
> Heh, and I just started investigating and realized it was
> http://hg.mozilla.org/mozilla-central/rev/a90de3ff36cd that changed context
> menu on the FF side.
> Hrm, how I like patches on fixed bugs...
> 
> Well, let's wait on that one, then.

To be fair, the bug was not closed (or its patches completely reviewed) when I put the first version of my patch up. I was hoping they would keep it open until my patch had landed.
Comment 6 Ian Neal 2010-09-05 13:45:24 PDT
Checked in on bug 485288 - http://hg.mozilla.org/comm-central/rev/c7759a95da8f
Comment 7 Serge Gautherie (:sgautherie) 2010-09-05 16:18:39 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283722751.1283723784.17465.gz
OS X 10.5 comm-central-trunk debug test mochitests-5/5 on 2010/09/05 14:39:11

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.